{-# LANGUAGE ForeignFunctionInterface #-}

module Phi.Bindings.SystrayErrorHandler ( setSystrayErrorHandler
                                        , getLastErrorWindow
                                        ) where

#include <SystrayErrorHandler.h>


import Graphics.X11.Xlib


foreign import ccall unsafe "SystrayErrorHandler.h setSystrayErrorHandler"
  setSystrayErrorHandler :: IO ()

foreign import ccall unsafe "SystrayErrorHandler.h getLastErrorWindow"
  getLastErrorWindow :: IO Window
